> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate a media buy



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/media-buys/{id}/reactivate
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
paths:
  /api/v2/buyer/media-buys/{id}/reactivate:
    post:
      tags:
        - Media Buys
      summary: Reactivate a media buy
      operationId: postBuyerMediaBuysByIdReactivate
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: string
                            minLength: 4
                          campaignId:
                            type: string
                            minLength: 5
                          advertiserId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          sellerId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          storefrontId:
                            anyOf:
                              - type: integer
                                exclusiveMinimum: 0
                                maximum: 9007199254740991
                              - type: 'null'
                          name:
                            type: string
                          status:
                            type: string
                            enum:
                              - DRAFT
                              - PENDING_APPROVAL
                              - INPUT_REQUIRED
                              - ACTIVE
                              - PAUSED
                              - COMPLETED
                              - CANCELED
                              - FAILED
                              - REJECTED
                              - ARCHIVED
                          adcpStatus:
                            anyOf:
                              - type: string
                                enum:
                                  - pending_creatives
                                  - pending_start
                                  - active
                                  - paused
                                  - completed
                                  - rejected
                                  - canceled
                              - type: 'null'
                          pendingAt:
                            anyOf:
                              - type: string
                                enum:
                                  - storefront
                                  - salesagent
                                  - unknown
                              - type: 'null'
                          pendingReason:
                            type:
                              - string
                              - 'null'
                          pendingSince:
                            anyOf:
                              - type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              - type: 'null'
                          errorCode:
                            anyOf:
                              - type: string
                                enum:
                                  - product_no_longer_available
                                  - source_rejected
                                  - storefront_rejected
                                  - source_unavailable
                                  - invalid_request
                                  - quote_expired
                                  - platform_error
                              - type: 'null'
                          errorOwner:
                            anyOf:
                              - type: string
                                enum:
                                  - buyer_input
                                  - platform
                                  - seller
                              - type: 'null'
                          sourceMessage:
                            type:
                              - string
                              - 'null'
                          currency:
                            type: string
                            pattern: ^[A-Z]{3}$
                          budget:
                            type: string
                            pattern: ^-?\d+(\.\d{1,6})?$
                          startTime:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          endTime:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          idempotencyKey:
                            type:
                              - string
                              - 'null'
                          adcpTaskId:
                            type:
                              - string
                              - 'null'
                          upstreamMediaBuyId:
                            type:
                              - string
                              - 'null'
                          forwardedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              - type: 'null'
                          buyerReference:
                            type:
                              - string
                              - 'null'
                          pausedBy:
                            anyOf:
                              - type: string
                                enum:
                                  - buyer
                                  - campaign
                              - type: 'null'
                          revision:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          createdAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          updatedAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        required:
                          - id
                          - campaignId
                          - advertiserId
                          - sellerId
                          - storefrontId
                          - name
                          - status
                          - adcpStatus
                          - pendingAt
                          - pendingReason
                          - pendingSince
                          - errorCode
                          - errorOwner
                          - sourceMessage
                          - currency
                          - budget
                          - startTime
                          - endTime
                          - idempotencyKey
                          - adcpTaskId
                          - upstreamMediaBuyId
                          - forwardedAt
                          - buyerReference
                          - pausedBy
                          - revision
                          - createdAt
                          - updatedAt
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````